Bug 829012 - fedpkg command completion
fedpkg command completion
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomír Sedlář
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 14:55 EDT by Alexey I. Froloff
Modified: 2016-08-22 15:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: fedpkg-1.24-2.fc24 fedpkg-1.24-3.el6 fedpkg-1.24-3.el7 fedpkg-1.24-3.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-22 12:49:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fedpkg command completion script (13.54 KB, text/plain)
2012-06-05 14:55 EDT, Alexey I. Froloff
no flags Details
0001-Add-zsh-completion.patch (15.47 KB, patch)
2013-04-03 04:54 EDT, Alexey I. Froloff
no flags Details | Diff

  None (edit)
Description Alexey I. Froloff 2012-06-05 14:55:33 EDT
Created attachment 589614 [details]
fedpkg command completion script

Please add fedpkg command completion (attached).
Comment 1 Ben Boeckel 2012-06-06 21:08:39 EDT
Interested in merging with the completion I made a while ago?

https://fedorahosted.org/fedora-packager/ticket/81
Comment 2 Ben Boeckel 2012-06-06 21:24:27 EDT
I don't know why the component changed. My browser is causing X to hang when I try to view the dropdown list and typing with it focused moves the focus to the "Assigned To" field, so I can't choose it.
Comment 3 Dominic Hopf 2012-06-10 09:02:32 EDT
The component is zsh here. So everything seems to be fine concerning that. I'd also suggest to deliver a completion for the fedpkg command with the fedpkg package (or a sub-package for fedpkg, maybe) itself rather than delivering it with the Shell. :)
Comment 4 Ben Boeckel 2012-06-10 09:36:01 EDT
(In reply to comment #3)
> The component is zsh here. So everything seems to be fine concerning that.

It got reset to 0xFFFF when I made that first comment. It has since been fixed.

(In reply to comment #3)
> I'd also suggest to deliver a completion for the fedpkg command with the
> fedpkg package (or a sub-package for fedpkg, maybe) itself rather than
> delivering it with the Shell. :)

I agree. It makes little sense to have to update zsh when fedpkg gets a new command or option.
Comment 5 Alexey I. Froloff 2013-04-03 04:53:36 EDT
Reassigning to fedpkg
Comment 6 Alexey I. Froloff 2013-04-03 04:54:55 EDT
Created attachment 731063 [details]
0001-Add-zsh-completion.patch

Diff against fedpkg git repo.  Installs completion file into /usr/share/zsh/site-functions
Comment 7 Fedora End Of Life 2013-04-03 10:32:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Alexey I. Froloff 2013-07-04 05:20:29 EDT
So, what about this patch?
Comment 9 Dominic Hopf 2014-08-22 16:17:07 EDT
Dennis Gilmore, *poke* you still have this on your list? It should be easy to add this, shouldn't it?
Comment 10 Fedora End Of Life 2015-01-09 12:10:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 09:16:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Ben Boeckel 2015-02-18 19:16:33 EST
Adding FutureFeature keyword to keep this open. Patches probably need updating though.
Comment 13 Lubomír Sedlář 2016-06-07 03:56:55 EDT
I have opened a pull request against Fedpkg with slightly updated patch from this bug:
https://pagure.io/fedpkg/pull-request/26

There are also scratch builds of Fedpkg with the patch:
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=14403359
F24: http://koji.fedoraproject.org/koji/taskinfo?taskID=14403382
F23: http://koji.fedoraproject.org/koji/taskinfo?taskID=14403398

From my basic testing it seems to work, but I don't use ZSH some more thorough testing would be nice before merging it.
Comment 14 Fedora Update System 2016-06-28 22:17:11 EDT
fedpkg-1.24-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8049bff436
Comment 15 Fedora Update System 2016-06-28 22:17:24 EDT
fedpkg-1.24-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1cf369714
Comment 16 Fedora Update System 2016-06-28 22:17:33 EDT
fedpkg-1.24-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5e5513a38
Comment 17 Fedora Update System 2016-06-28 22:17:42 EDT
fedpkg-1.24-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3540ed2e2b
Comment 18 Fedora Update System 2016-06-28 22:17:52 EDT
fedpkg-1.24-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ecfcc317bf
Comment 19 Fedora Update System 2016-06-29 14:26:24 EDT
fedpkg-1.24-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3540ed2e2b
Comment 20 Fedora Update System 2016-06-29 17:49:40 EDT
fedpkg-1.24-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ecfcc317bf
Comment 21 Fedora Update System 2016-06-29 17:50:05 EDT
fedpkg-1.24-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5e5513a38
Comment 22 Fedora Update System 2016-06-29 18:20:55 EDT
fedpkg-1.24-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1cf369714
Comment 23 Fedora Update System 2016-06-29 18:55:45 EDT
fedpkg-1.24-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8049bff436
Comment 24 Fedora Update System 2016-07-02 11:25:15 EDT
fedpkg-1.24-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-07-08 00:13:16 EDT
fedpkg-1.24-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ecfcc317bf
Comment 26 Fedora Update System 2016-07-08 00:15:08 EDT
fedpkg-1.24-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3540ed2e2b
Comment 27 Fedora Update System 2016-07-08 00:15:47 EDT
fedpkg-1.24-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5e5513a38
Comment 28 Fedora Update System 2016-07-08 00:16:23 EDT
fedpkg-1.24-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1cf369714
Comment 29 Fedora Update System 2016-07-09 22:47:49 EDT
fedpkg-1.24-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ecfcc317bf
Comment 30 Fedora Update System 2016-07-09 23:19:00 EDT
fedpkg-1.24-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5e5513a38
Comment 31 Fedora Update System 2016-07-09 23:55:16 EDT
fedpkg-1.24-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3540ed2e2b
Comment 32 Fedora Update System 2016-07-11 23:29:33 EDT
fedpkg-1.24-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1cf369714
Comment 33 Fedora Update System 2016-08-22 12:49:45 EDT
fedpkg-1.24-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2016-08-22 12:50:37 EDT
fedpkg-1.24-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2016-08-22 15:20:38 EDT
fedpkg-1.24-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.